log4cplus::internal Namespace Reference

## Classes

class | CustomLogLevelManager
| Custom log level manager used by C API. More...
struct | gft_scratch_pad
struct | appender_sratch_pad
struct | per_thread_data
| Per thread data. More...

## Functions

LOG4CPLUS_PRIVATE CustomLogLevelManager & | getCustomLogLevelManager ()
bool | get_env_var (tstring &value, tstring const &name)
| Get environment variable value.
std::locale | get_locale_by_name (tstring const &locale_name)
| Get locale.
bool | parse_bool (bool &val, tstring const &str)
| Parse a string as a boolean value.
bool | split_path (std::vector< tstring > &components, std::size_t &special, tstring const &path)
| Parse a path into path components.
void | make_dirs (tstring const &file_path)
| Makes directories leading to file.
DWORD | get_process_id ()
per_thread_data * | alloc_ptd ()
void | set_ptd (per_thread_data *p)
per_thread_data * | get_ptd (bool alloc=true)
tstring & | get_thread_name_str ()
tstring & | get_thread_name2_str ()
gft_scratch_pad & | get_gft_scratch_pad ()
appender_sratch_pad & | get_appender_sp ()

## Variables

log4cplus::tstring const | empty_str
log4cplus::thread::impl::tls_key_type | tls_storage_key

## Function Documentation

## alloc_ptd()

per_thread_data * log4cplus::internal::alloc_ptd | ( |  | ) |

References tls_storage_key.

Referenced by get_ptd().

## get_appender_sp()

appender_sratch_pad & log4cplus::internal::get_appender_sp | ( |  | ) |

inline

Definition at line 224 of file internal.h.

References log4cplus::internal::per_thread_data::appender_sp, and get_ptd().

## get_env_var()

bool log4cplus::internal::get_env_var | ( | tstring & | value,
|  | tstring const & | name )

Get environment variable value.

## get_gft_scratch_pad()

gft_scratch_pad & log4cplus::internal::get_gft_scratch_pad | ( |  | ) |

inline

Definition at line 216 of file internal.h.

References get_ptd(), and log4cplus::internal::per_thread_data::gft_sp.

## get_locale_by_name()

std::locale log4cplus::internal::get_locale_by_name | ( | tstring const & | locale_name | ) |

Get locale.

## get_process_id()

DWORD log4cplus::internal::get_process_id | ( |  | ) |

inline

Definition at line 77 of file env.h.

## get_ptd()

per_thread_data * log4cplus::internal::get_ptd | ( | bool | alloc = true | ) |

inline

Definition at line 182 of file internal.h.

References alloc_ptd(), LOG4CPLUS_UNLIKELY, log4cplus::thread::impl::tls_get_value(), and tls_storage_key.

Referenced by get_appender_sp(), get_gft_scratch_pad(), get_thread_name2_str(), and get_thread_name_str().

## get_thread_name2_str()

tstring & log4cplus::internal::get_thread_name2_str | ( |  | ) |

inline

Definition at line 208 of file internal.h.

References get_ptd(), and log4cplus::internal::per_thread_data::thread_name2.

## get_thread_name_str()

tstring & log4cplus::internal::get_thread_name_str | ( |  | ) |

inline

Definition at line 200 of file internal.h.

References get_ptd(), and log4cplus::internal::per_thread_data::thread_name.

## getCustomLogLevelManager()

LOG4CPLUS_PRIVATE CustomLogLevelManager & log4cplus::internal::getCustomLogLevelManager | ( |  | ) |

References LOG4CPLUS_PRIVATE.

## make_dirs()

void log4cplus::internal::make_dirs | ( | tstring const & | file_path | ) |

Makes directories leading to file.

## parse_bool()

bool log4cplus::internal::parse_bool | ( | bool & | val,
|  | tstring const & | str )

Parse a string as a boolean value.

## set_ptd()

void log4cplus::internal::set_ptd | ( | per_thread_data * | p | ) |

inline

Definition at line 174 of file internal.h.

References log4cplus::thread::impl::tls_set_value(), and tls_storage_key.

## split_path()

bool log4cplus::internal::split_path | ( | std::vector< tstring > & | components,
|  | std::size_t & | special,
|  | tstring const & | path )

Parse a path into path components.

## Variable Documentation

## empty_str

log4cplus::tstring const log4cplus::internal::empty_str

extern

Canonical empty string. It is used when the need to return empty string by reference arises.

Referenced by log4cplus::internal::CustomLogLevelManager::customToStringMethodWorker().

## tls_storage_key

log4cplus::thread::impl::tls_key_type log4cplus::internal::tls_storage_key

extern

Referenced by alloc_ptd(), get_ptd(), and set_ptd().